Retrieve Object Schema by key or ID. This will return the schema of the custom object, including all its fields and properties. Supported objects include contact, opportunity, business and custom objects.To understand objects and records, please have a look the documentation here : https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0

http
GET https://services.leadconnectorhq.com/objects/{key}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
keystringYescustom_objects.petkey of the custom or standard object. For custom objects, the key must include the prefix “custom_objects.”. This key can be found on the Object Details page under Settings in the UI.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYes632c34b4c9b7da3358ac9891account id of the sub account
fetchPropertiesstringNoTrueFetch Properties , Fetches all the standard / custom fields of the object when set to true

Responses

200 - Successful response
  • object (object)

    • id (string, required): id of the custom / standard object schema Example: 661c06b4ffde146bdb469442

    • standard (boolean, required): false in case of custom objects and true in case of standard objects like contacts and opportunities Example: False

    • key (string, required): key that would be used to refer the custom / standard Object internally (lowercase + underscore_separated). For custom objects, 'custom_objects.' would be added as prefix by default Example: custom_objects.pet

    • labels (object, required): This is what your custom / standard object will be called. These labels will be used to display your custom object on the UI

    • description (string): Custom / Standard Object Descriptions for example , Pet Objects description Example: These are non vaccinated pets`

    • locationId (string, required): account's id Example: Q9DT3OAqEXDLYuob1G32

    • primaryDisplayProperty (string, required): Primary property for the custom / standard Object. This would be used as primary data when rendering the UI. 'custom_objects.{{object_key}} or business.{{object_key}} (for company)' would be added as prefix by default for all the custom / standard objects Example: custom_objects.pet.name

    • dateAdded (string, required): Date and time when the object was added

    • dateUpdated (string, required): Date and time when the object was last updated

    • type (object): Objects Type Example: The Object type can either USER_DEFINED or SYSTEM_DEFINED`

  • cache (boolean, required): Is the response served from cache Example: True

  • fields (object[])

    • locationId (string, required): Account Id Example: ve9EPM428h8vShlRW1KT

    • name (string): Field name Example: Name

    • description (string): Description of the field

    • placeholder (string): Placeholder text for the field

    • showInForms (boolean, required): Whether the field should be shown in forms

    • options (object[]): Options for the field (Optional, valid only for SINGLE_OPTIONS, MULTIPLE_OPTIONS, RADIO, CHECKBOX, TEXTBOX_LIST type)

      • key (string, required): Key of the option (Included in Create and Response, excluded in Update)

      • label (string, required): Value of the option

      • url (string): URL associated with the option (Optional, valid only for RADIO type)

    • acceptedFormats (string): Allowed file formats for uploads. Options include: .pdf, .docx, .doc, .jpg, .jpeg, .png, .gif, .csv, .xlsx, .xls, all Possible values: '.pdf', '.docx', '.doc', '.jpg', '.jpeg', '.png', '.gif', '.csv', '.xlsx', '.xls', 'all'

    • id (string, required): Unique identifier of the object

    • objectKey (string, required): The key for your custom / standard object. This key uniquely identifies the custom object. Example: "custom_object.pet" for a custom object related to pets. Example: custom_object.pet

    • dataType (string, required): Type of field that you are trying to create Possible values: 'TEXT', 'LARGE_TEXT', 'NUMERICAL', 'PHONE', 'MONETORY', 'CHECKBOX', 'SINGLE_OPTIONS', 'MULTIPLE_OPTIONS', 'DATE', 'TEXTBOX_LIST', 'FILE_UPLOAD', 'RADIO'

    • parentId (string, required): ID of the parent folder Example: 3v34PM428h8vShlRW1KT

    • fieldKey (string, required): Field key. For Custom Object it's formatted as "custom_object.{objectKey}.{fieldKey}". "custom_object" is a fixed prefix, "{objectKey}" is your custom object's identifier, and "{fieldName}" is the unique field name within that object. Example: "custom_object.pet.name" for a "name" field in a "pet" custom object. Example: custom_object.pet.name

    • allowCustomOption (boolean): Determines if users can add a custom option value different from the predefined options in records for RADIO type fields. A custom value added in one record does not automatically become an option and will not appear as an option for other records. Example: True

    • maxFileLimit (number): Maximum file limit for uploads Example: 2

    • dateAdded (string, required): Date and time when the object was added

    • dateUpdated (string, required): Date and time when the object was last updated

json
{
  "object": {
    "id": "661c06b4ffde146bdb469442",
    "standard": false,
    "key": "custom_objects.pet",
    "labels": {
      "singular": "Pet",
      "plural": "Pets"
    },
    "description": "These are non vaccinated pets",
    "locationId": "Q9DT3OAqEXDLYuob1G32",
    "primaryDisplayProperty": "custom_objects.pet.name",
    "dateAdded": "2024-01-15T10:30:00Z",
    "dateUpdated": "2024-01-15T10:30:00Z",
    "type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
  },
  "cache": true,
  "fields": [
    {
      "locationId": "ve9EPM428h8vShlRW1KT",
      "name": "Name",
      "description": "string",
      "placeholder": "string",
      "showInForms": true,
      "options": [
        {}
      ],
      "acceptedFormats": ".pdf",
      "id": "string",
      "objectKey": "custom_object.pet",
      "dataType": "TEXT",
      "parentId": "3v34PM428h8vShlRW1KT",
      "fieldKey": "custom_object.pet.name",
      "allowCustomOption": true,
      "maxFileLimit": 2,
      "dateAdded": "2024-01-15T10:30:00Z",
      "dateUpdated": "2024-01-15T10:30:00Z"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/objects/YOUR_key' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?